This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259857 - [packaging] gnome-shell should only require one of gnome-session-wayland-session and gnome-session-xsession, not both
[packaging] gnome-shell should only require one of gnome-session-wayland-sess...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 12:18 EDT by Christian Stadelmann
Modified: 2017-05-17 10:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-09-03 12:18:29 EDT
Description of problem:
Currently gnome-shell spec file says it requires gnome-session-xsession:

Requires:       gnome-session-xsession
https://pkgs.fedoraproject.org/cgit/gnome-shell.git/tree/gnome-shell.spec#n79

Since gnome-shell works fine without gnome-session-xsession it could allow gnome-session-wayland-session as alternative to gnome-session-xsession in its spec file.


Version-Release number of selected component (if applicable):
gnome-shell-3.17.90-1.fc23.x86_64

Note You need to log in before you can comment on or make changes to this bug.